diff -Naur touchmegames-0.2.5/src/interface.cpp touchmegames-0.2.5.new/src/interface.cpp
--- touchmegames-0.2.5/src/interface.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/interface.cpp	2014-02-09 15:47:24.897829104 +0100
@@ -116,7 +116,7 @@
     gtk_event_box_set_visible_window((GtkEventBox *)back, FALSE);
     gtk_widget_add_events(back, GDK_BUTTON_PRESS_MASK);
 
-    //image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_back.png");
+    //image = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_back.png");
     image = gamePtr.loadMainImage("buttons/button_back.png");
     gtk_container_add((GtkContainer *)back, image);
     gtk_box_pack_start((GtkBox *)selectBox, back, FALSE, FALSE, 10);
@@ -181,7 +181,7 @@
             
             rcstyle->bg[0] = color;
             rcstyle->color_flags[0] = GTK_RC_BG;
-            //rcstyle->bg_pixmap_name[0] = "/usr/local/share/touchmegames/images/gamebuttonbg.xpm";
+            //rcstyle->bg_pixmap_name[0] = "/usr/share/touchmegames/images/gamebuttonbg.xpm";
             g_object_set_data((GObject *)eventBox, KEY_STR, (void *)(cntr - 1));
             gtk_widget_modify_style(eventBox, rcstyle);
             
@@ -230,7 +230,7 @@
             
     }
     while (cntr != 6) {
-//         image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/submenu/blankgame.gif");
+//         image = gtk_image_new_from_file("/usr/share/touchmegames/images/submenu/blankgame.gif");
         image = gamePtr.loadMainImage("submenu/blankgame.gif");
         //gtk_widget_set_size_request(image, 148, );
         gtk_table_attach_defaults((GtkTable *)gameTable, image, cntr % 2, (cntr % 2) + 1, cntr / 2, (cntr / 2) + 1);
@@ -279,7 +279,7 @@
         gtk_event_box_set_visible_window((GtkEventBox *)arrow, FALSE);
         gtk_widget_add_events(arrow, GDK_BUTTON_PRESS_MASK);
         g_object_set_data((GObject *)arrow, KEY_STR, (void *)((gameType << 16) | (leftStart - games->begin())));
-//   image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_left.png");
+//   image = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_left.png");
         image = gamePtr.loadMainImage("buttons/button_left.png");
         gtk_container_add((GtkContainer *)arrow, image);
         gtk_table_attach_defaults((GtkTable *)gameTable, arrow, 0, 1, 3, 4);
@@ -295,7 +295,7 @@
         gtk_widget_add_events(arrow, GDK_BUTTON_PRESS_MASK);
         g_object_set_data((GObject *)arrow, KEY_STR, (void *)((gameType << 16) 
                 | (rightStart - games->begin() + 1)));
-//   image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_right.png");
+//   image = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_right.png");
         image = gamePtr.loadMainImage("buttons/button_right.png");
         gtk_container_add((GtkContainer *)arrow, image);
         gtk_table_attach_defaults((GtkTable *)gameTable, arrow, 1, 2, 3, 4);
@@ -422,7 +422,7 @@
 	gtk_event_box_set_visible_window((GtkEventBox *)eventBox, FALSE);
 	gtk_widget_add_events(eventBox, GDK_BUTTON_PRESS_MASK);
 	
- image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_start.png");
+ image = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_start.png");
 	gtk_container_add((GtkContainer *)eventBox, image);
 	gtk_table_attach_defaults((GtkTable *)previewTable, eventBox, 0, 1, 3, 4);
 	
@@ -435,7 +435,7 @@
 	gtk_event_box_set_visible_window((GtkEventBox *)eventBox, FALSE);
 	gtk_widget_add_events(eventBox, GDK_BUTTON_PRESS_MASK);
 	
- image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_about.png");
+ image = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_about.png");
 	gtk_container_add((GtkContainer *)eventBox, image);
 	gtk_table_attach_defaults((GtkTable *)previewTable, eventBox, 3, 4, 3, 4);
 	
diff -Naur touchmegames-0.2.5/src/lib/altprogressbar.cpp touchmegames-0.2.5.new/src/lib/altprogressbar.cpp
--- touchmegames-0.2.5/src/lib/altprogressbar.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/lib/altprogressbar.cpp	2014-02-09 15:47:23.174829045 +0100
@@ -38,7 +38,7 @@
     doneInit = true;
     frameWidget = gtk_frame_new(NULL);
     fixedWidget = gtk_fixed_new();
-    gtk_fixed_set_has_window((GtkFixed *)fixedWidget, TRUE);
+    gtk_widget_set_has_window((GtkWidget *)fixedWidget, TRUE);
     gtk_widget_modify_bg(fixedWidget, GTK_STATE_NORMAL, &color);
 
     imageWidget = gtk_image_new();
diff -Naur touchmegames-0.2.5/src/lib/config.h touchmegames-0.2.5.new/src/lib/config.h
--- touchmegames-0.2.5/src/lib/config.h	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/lib/config.h	2014-02-09 15:47:23.099829043 +0100
@@ -24,7 +24,7 @@
 // this to the directory to install...Also change the same
 // named variable in the main Makefile
 #ifdef __unix__
-#define INSTALL_DIR "/usr/local/share/touchmegames/"
+#define INSTALL_DIR "/usr/share/touchmegames/"
 #else
 #define INSTALL_DIR "c:/program files/touchmegames/"
 #endif
diff -Naur touchmegames-0.2.5/src/lib/gameptr.cpp touchmegames-0.2.5.new/src/lib/gameptr.cpp
--- touchmegames-0.2.5/src/lib/gameptr.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/lib/gameptr.cpp	2014-02-09 15:47:23.119829043 +0100
@@ -93,7 +93,7 @@
     tmpStr += "images/buttons/button_cancel.png";
     cancel = gtk_image_new_from_file(tmpStr.c_str());
     
-//     cancel = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_cancel.png");
+//     cancel = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_cancel.png");
     gtk_container_add((GtkContainer *)eventBox, cancel);
     gtk_widget_add_events(eventBox, GDK_BUTTON_PRESS_MASK);
     g_signal_connect(G_OBJECT(eventBox), "button-release-event",
diff -Naur touchmegames-0.2.5/src/lib/tmgdir.cpp touchmegames-0.2.5.new/src/lib/tmgdir.cpp
--- touchmegames-0.2.5/src/lib/tmgdir.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/lib/tmgdir.cpp	2014-02-09 15:47:23.106829043 +0100
@@ -23,6 +23,7 @@
 #include <string.h>
 #include <sys/stat.h>
 #include <sys/types.h>
+#include <unistd.h>
 #ifndef WIN32
 #include <sys/vfs.h>
 #include <sys/mount.h>
diff -Naur touchmegames-0.2.5/src/Makefile touchmegames-0.2.5.new/src/Makefile
--- touchmegames-0.2.5/src/Makefile	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/Makefile	2014-02-09 15:47:23.218829047 +0100
@@ -16,7 +16,7 @@
 	 -Imemory
 	
 #-Idart01 -IdartCountUp -Idarttictactoe -Idartlowball -Idartcountdown  -Idartcricket -Idartcricket10
-INSTALL_DIR=/usr/local/share/touchmegames/
+INSTALL_DIR=/usr/share/touchmegames/
 LIB=-lasound lib/libgameptr.a
 
 GTK_CFLAGS = `pkg-config --cflags gtk+-2.0` -DGTK_DISABLE_DEPRECATED=1 -DGTK_MULTIHEAD_SAFE=1
diff -Naur touchmegames-0.2.5/src/.#Makefile.1.13 touchmegames-0.2.5.new/src/.#Makefile.1.13
--- touchmegames-0.2.5/src/.#Makefile.1.13	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/.#Makefile.1.13	2014-02-09 15:47:24.149829079 +0100
@@ -14,7 +14,7 @@
 	 -Icompile4 -Ifoxyboxy -Isecretphrase -Iconsume21 -Isudoku -Idropzone -Ifotoseek
 	
 #-Idart01 -IdartCountUp -Idarttictactoe -Idartlowball -Idartcountdown  -Idartcricket -Idartcricket10
-INSTALL_DIR=/usr/local/share/touchmegames/
+INSTALL_DIR=/usr/share/touchmegames/
 LIB=-lasound lib/libgameptr.a
 
 GTK_CFLAGS = `pkg-config --cflags gtk+-2.0` -DGTK_DISABLE_DEPRECATED=1 -DGTK_MULTIHEAD_SAFE=1
diff -Naur touchmegames-0.2.5/src/.#Makefile.1.17 touchmegames-0.2.5.new/src/.#Makefile.1.17
--- touchmegames-0.2.5/src/.#Makefile.1.17	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/.#Makefile.1.17	2014-02-09 15:47:23.525829057 +0100
@@ -10,7 +10,7 @@
 INC=-Ilib -Iinclude -I. -Igorillathrilla -Ivideopoker -Iflogthedolphin -Iwordhunt -Ithreescompany -Itritowers \
 	 -Icompile4 -Ifoxyboxy -Isecretphrase -Iconsume21 -Isudoku -Idropzone -Ifotoseek
 
-INSTALL_DIR=/usr/local/share/touchmegames/
+INSTALL_DIR=/usr/share/touchmegames/
 LIB=-lasound lib/libgameptr.a
 
 GTK_CFLAGS = `pkg-config --cflags gtk+-2.0` -DGTK_DISABLE_DEPRECATED=1 -DGTK_MULTIHEAD_SAFE=1
diff -Naur touchmegames-0.2.5/src/Makefile.win32 touchmegames-0.2.5.new/src/Makefile.win32
--- touchmegames-0.2.5/src/Makefile.win32	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/Makefile.win32	2014-02-09 15:47:24.526829092 +0100
@@ -21,7 +21,7 @@
 #-Ifotoseek -Iwordhunt -Isecretphrase \
 	
 #-Idart01 -IdartCountUp -Idarttictactoe -Idartlowball -Idartcountdown  -Idartcricket -Idartcricket10
-INSTALL_DIR=/usr/local/share/touchmegames/
+INSTALL_DIR=/usr/share/touchmegames/
 LIB=lib/libgameptr.a #-lasound 
 
 GTK_CFLAGS = `pkg-config --cflags gtk+-2.0` -DGTK_DISABLE_DEPRECATED=1 -DGTK_MULTIHEAD_SAFE=1
diff -Naur touchmegames-0.2.5/src/memory/events.cpp touchmegames-0.2.5.new/src/memory/events.cpp
--- touchmegames-0.2.5/src/memory/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/memory/events.cpp	2014-02-09 15:47:23.763829065 +0100
@@ -58,7 +58,7 @@
 gboolean Memory::timeout(gpointer ptr) {
     Memory *m(reinterpret_cast<Memory *>(ptr));
     std::stringstream sstr;
-    int second, minute;
+    long second, minute;
     switch (m->gameState) {
         case WAITING:
             // don't do anything, just wait for a press
@@ -71,12 +71,12 @@
                     m->stageCountDown = 20;
                     m->playWave("buzzer.wav");
                 }
-                m->progress.percent((int)m->timeLeft / 6);
+                m->progress.percent((long)m->timeLeft / 6);
                 
-                second = ((int)(m->timeLeft / 5)) % 60;
-                minute = (int)(m->timeLeft / 5) / 60;
+                second = ((long)(m->timeLeft / 5)) % 60;
+                minute = (long)(m->timeLeft / 5) / 60;
                 
-                sstr << (int)minute << ':' << std::setw(2) << std::setfill('0') << (int)second;
+                sstr << (long)minute << ':' << std::setw(2) << std::setfill('0') << (long)second;
                 
                 m->progress.text(sstr.str().c_str());
             }
@@ -97,12 +97,12 @@
                     m->stageCountDown = 20;
                     m->playWave("buzzer.wav");
                 }
-                m->progress.percent((int)m->timeLeft / 6);
+                m->progress.percent((long)m->timeLeft / 6);
                 
-                second = ((int)(m->timeLeft / 5)) % 60;
-                minute = (int)(m->timeLeft / 5) / 60;
+                second = ((long)(m->timeLeft / 5)) % 60;
+                minute = (long)(m->timeLeft / 5) / 60;
                 
-                sstr << (int)minute << ':' << std::setw(2) << std::setfill('0') << (int)second;
+                sstr << (long)minute << ':' << std::setw(2) << std::setfill('0') << (long)second;
                 
                 m->progress.text(sstr.str().c_str());
             }
@@ -115,12 +115,12 @@
                 m->timeLeft -= 5;
                 m->timeBonus += 100;
                 
-                m->progress.percent((int)m->timeLeft / 6);
+                m->progress.percent((long)m->timeLeft / 6);
             
-                second = ((int)(m->timeLeft / 5)) % 60;
-                minute = (int)(m->timeLeft / 5) / 60;
+                second = ((long)(m->timeLeft / 5)) % 60;
+                minute = (long)(m->timeLeft / 5) / 60;
             
-                sstr << (int)minute << ':' << std::setw(2) << std::setfill('0') << (int)second;
+                sstr << (long)minute << ':' << std::setw(2) << std::setfill('0') << (long)second;
             
                 m->progress.text(sstr.str().c_str());
                 
@@ -170,8 +170,8 @@
     m->started = true;
     
     if (m->gameState == RUNNING) {
-        sstr << (int)g_object_get_data((GObject *)widget, KEY_STR) + 1 << ".png";
-        if ((int)g_object_get_data((GObject *)widget, KEY_STR) == -1) {
+        sstr << (long)g_object_get_data((GObject *)widget, KEY_STR) + 1 << ".png";
+        if ((long)g_object_get_data((GObject *)widget, KEY_STR) == -1) {
             return;
         }
         if (m->cardsPressed[0] == 0) {
@@ -181,11 +181,11 @@
         else if (m->cardsPressed[1] == 0 && m->cardsPressed[0] != widget) {
             
             
-            m->cardsPressed[1] = widget; // (int)g_object_get_data((GObject *)widget, KEY_STR) + 1;
+            m->cardsPressed[1] = widget; // (long)g_object_get_data((GObject *)widget, KEY_STR) + 1;
             m->reloadImage(gtk_bin_get_child((GtkBin *)widget), sstr.str().c_str());
             
-            if ((int)g_object_get_data((GObject *)m->cardsPressed[0], KEY_STR)
-                    == (int)g_object_get_data((GObject *)m->cardsPressed[1], KEY_STR)) {
+            if ((long)g_object_get_data((GObject *)m->cardsPressed[0], KEY_STR)
+                    == (long)g_object_get_data((GObject *)m->cardsPressed[1], KEY_STR)) {
                 
                 // Set the data to -1 so that they can't get chosen again.
                 g_object_set_data((GObject *)m->cardsPressed[0], KEY_STR, (void *)-1);
diff -Naur touchmegames-0.2.5/src/memory/Makefile touchmegames-0.2.5.new/src/memory/Makefile
--- touchmegames-0.2.5/src/memory/Makefile	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/memory/Makefile	2014-02-09 15:47:23.754829065 +0100
@@ -62,21 +62,21 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/sounds ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/sounds; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/sounds ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/sounds; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp sounds/*.* /usr/local/share/touchmegames/$(GAME_NAME)/sounds
+	cp $(GAME_NAME).gif /usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* /usr/share/touchmegames/$(GAME_NAME)/images
+	cp sounds/*.* /usr/share/touchmegames/$(GAME_NAME)/sounds
 	if [ -e $(GAME_NAME) ]; \
 	then cp $(GAME_NAME) /usr/bin; \
 	fi
diff -Naur touchmegames-0.2.5/src/nonogram/events.cpp touchmegames-0.2.5.new/src/nonogram/events.cpp
--- touchmegames-0.2.5/src/nonogram/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/nonogram/events.cpp	2014-02-09 15:47:22.424829020 +0100
@@ -57,7 +57,7 @@
 
 gboolean NonoGram::timeout(gpointer ptr) {
     NonoGram *nonoGram(reinterpret_cast<NonoGram *>(ptr));
-    int second, minute;
+    long second, minute;
     std::stringstream sstr;
 
     switch (nonoGram->gameState) {
@@ -71,12 +71,12 @@
                 nonoGram->stageCountDown = 30;
                 nonoGram->playWave("buzzer.wav");
             }
-            nonoGram->progress.percent((int)nonoGram->timeLeft / 6);
+            nonoGram->progress.percent((long)nonoGram->timeLeft / 6);
             
-            second = ((int)(nonoGram->timeLeft / 5)) % 60;
-            minute = (int)(nonoGram->timeLeft / 5) / 60;
+            second = ((long)(nonoGram->timeLeft / 5)) % 60;
+            minute = (long)(nonoGram->timeLeft / 5) / 60;
             
-            sstr << (int)minute << ':' << std::setw(2) << std::setfill('0') << (int)second;
+            sstr << (long)minute << ':' << std::setw(2) << std::setfill('0') << (long)second;
             
             nonoGram->progress.text(sstr.str().c_str());
             
@@ -98,8 +98,8 @@
             nonoGram->gameState = TAKE_ROUND_SCORE;
             break;
         case TAKE_ROUND_SCORE: {
-            int tmpScore = (nonoGram->round - 1) * 25000 + 50000;
-            int score;
+            long tmpScore = (nonoGram->round - 1) * 25000 + 50000;
+            long score;
             score = tmpScore + nonoGram->timeLeft * 150;
             
             gtk_label_set_text((GtkLabel *)nonoGram->roundScoreLabel, nonoGram->addCommas(score).c_str());
@@ -108,7 +108,7 @@
             }
             break;
         case TAKE_TOTAL_SCORE: {
-            int tmpScore = (nonoGram->round - 1) * 25000 + 50000;
+            long tmpScore = (nonoGram->round - 1) * 25000 + 50000;
             
             nonoGram->currentScore += tmpScore + nonoGram->timeLeft * 150;
             gtk_label_set_text((GtkLabel *)nonoGram->totalScoreLabel, nonoGram->addCommas(nonoGram->currentScore).c_str());
@@ -159,7 +159,7 @@
     }
     
     image = gtk_bin_get_child((GtkBin *)widget);
-    switch ((int)g_object_get_data((GObject  *)widget, KEY_STR)) {
+    switch ((long)g_object_get_data((GObject  *)widget, KEY_STR)) {
         case BLANK:
             nonoGram->reloadImage(image, "block.png");
             nonoGram->mouseState = FILLED;
@@ -185,8 +185,8 @@
 
 gboolean NonoGram::blockMotion(GtkWidget *widget, GdkEventMotion *event, gpointer ptr) {
     NonoGram *nonoGram(reinterpret_cast<NonoGram *>(ptr));
-    int X = (int)(event->x + widget->allocation.x);
-    int Y = (int)(event->y + widget->allocation.y);
+    long X = (long)(event->x + widget->allocation.x);
+    long Y = (long)(event->y + widget->allocation.y);
     GdkRectangle rect;
     
     rect.x = X;
@@ -194,8 +194,8 @@
     rect.width = 1;
     rect.height = 1;
     
-    for (int x = 0; x < nonoGram->nonoSize; ++x) {
-        for (int y = 0; y < nonoGram->nonoSize; ++y) {
+    for (long x = 0; x < nonoGram->nonoSize; ++x) {
+        for (long y = 0; y < nonoGram->nonoSize; ++y) {
             if (gtk_widget_intersect(nonoGram->cells[x][y], &rect, NULL)) {
                 switch (nonoGram->mouseState) {
                     case BLANK:
diff -Naur touchmegames-0.2.5/src/nonogram/interface.cpp touchmegames-0.2.5.new/src/nonogram/interface.cpp
--- touchmegames-0.2.5/src/nonogram/interface.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/nonogram/interface.cpp	2014-02-09 15:47:22.440829020 +0100
@@ -291,7 +291,7 @@
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, false);
     
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_quit.png");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_quit.png");
     image = loadMainImage("buttons/button_quit.png");
     gtk_widget_add_events(eventBox, GDK_BUTTON_PRESS_MASK);
     g_signal_connect(G_OBJECT(eventBox), "button-press-event",
diff -Naur touchmegames-0.2.5/src/nonogram/Makefile touchmegames-0.2.5.new/src/nonogram/Makefile
--- touchmegames-0.2.5/src/nonogram/Makefile	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/nonogram/Makefile	2014-02-09 15:47:22.421829020 +0100
@@ -62,21 +62,21 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/sounds ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/sounds; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/sounds ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/sounds; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp sounds/*.* /usr/local/share/touchmegames/$(GAME_NAME)/sounds
+	cp $(GAME_NAME).gif /usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* /usr/share/touchmegames/$(GAME_NAME)/images
+	cp sounds/*.* /usr/share/touchmegames/$(GAME_NAME)/sounds
 	if [ -e $(GAME_NAME) ]; \
 	then cp $(GAME_NAME) /usr/bin; \
 	fi
diff -Naur touchmegames-0.2.5/src/nonogram/support.cpp touchmegames-0.2.5.new/src/nonogram/support.cpp
--- touchmegames-0.2.5/src/nonogram/support.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/nonogram/support.cpp	2014-02-09 15:47:22.429829020 +0100
@@ -720,7 +720,7 @@
     
     for (int x = 0; x < nonoSize; ++x) {
         for (int y = 0; y < nonoSize; ++y) {
-            ng[y][x] = (int)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR);
+            ng[y][x] = (long)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR);
         }
     }
     while (retval) {
@@ -753,12 +753,12 @@
     for (int x = 0; x < nonoSize; ++x) {
         for (int y = 0; y < nonoSize; ++y) {
             if (ng == NULL) {
-                if ((int)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR) == FILLED && nonoGram[y][x] != 1) {
+                if ((long)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR) == FILLED && nonoGram[y][x] != 1) {
 //                     std::cout << "Error at " << x << ' ' << y << std::endl;
                     retVal = false;
                 }
             
-                if (nonoGram[y][x] == 1 && (int)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR) != FILLED) {
+                if (nonoGram[y][x] == 1 && (long)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR) != FILLED) {
 //                     std::cout << "Missing at " << x << ' ' << y << std::endl;
                     retVal = false;
                 }
@@ -785,7 +785,7 @@
 void NonoGram::fillBoard() {
     for (int x = 0; x < nonoSize; ++x) {
         for (int y = 0; y < nonoSize; ++y) {
-            if ((int)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR) == BLANK) {
+            if ((long)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR) == BLANK) {
                 if (nonoGram[y][x] == 1) {
                     reloadImage(cells[x][y], "blockerr.png");
                 }
@@ -793,7 +793,7 @@
                     reloadImage(cells[x][y], "Xerr.png");
                 }
             }
-            else if ((int)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR) != nonoGram[y][x]) {
+            else if ((long)g_object_get_data((GObject  *)gtk_widget_get_parent(cells[x][y]), KEY_STR) != nonoGram[y][x]) {
                 if (nonoGram[y][x] == 1) {
                     reloadImage(cells[x][y], "blockerr.png");
                 }
diff -Naur touchmegames-0.2.5/src/secretphrase/events.cpp touchmegames-0.2.5.new/src/secretphrase/events.cpp
--- touchmegames-0.2.5/src/secretphrase/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/secretphrase/events.cpp	2014-02-09 15:47:23.446829055 +0100
@@ -77,7 +77,7 @@
                 }
                 
                 sstr.str("");
-//                 sstr << "/usr/local/share/touchmegames/secretphrase/images/" << sp->guessesLeft << ".gif";
+//                 sstr << "/usr/share/touchmegames/secretphrase/images/" << sp->guessesLeft << ".gif";
 //                 gtk_image_set_from_file((GtkImage *)sp->guessesLeftImg, sstr.str().c_str());
                 sstr << sp->guessesLeft << ".gif";
                 sp->reloadImage(sp->guessesLeftImg, sstr.str().c_str());
@@ -147,7 +147,7 @@
                     else {
                         sp->gameState = SELECTING_CATEGORY;
                         gtk_widget_show_all(sp->initWidget);
-                        gtk_widget_hide_all(sp->normVbox);
+                        gtk_widget_hide(sp->normVbox);
                         sp->progressValue = 400;
                         sp->progress.percent(100);
                         sp->progress.show();
@@ -163,7 +163,7 @@
                     sstr << sp->currentScore;
                     gtk_label_set_text((GtkLabel *)sp->scoreLabel, sstr.str().c_str());
                     sstr.str("");
-//                     sstr << "/usr/local/share/touchmegames/secretphrase/images/" 
+//                     sstr << "/usr/share/touchmegames/secretphrase/images/" 
 //                                     << sp->guessesLeft << ".gif";
 //                     gtk_image_set_from_file((GtkImage *)sp->guessesLeftImg, sstr.str().c_str());
                     sstr << sp->guessesLeft << ".gif";
@@ -177,7 +177,7 @@
                     else {
                         sp->gameState = SELECTING_CATEGORY;
                         gtk_widget_show_all(sp->initWidget);
-                        gtk_widget_hide_all(sp->normVbox);
+                        gtk_widget_hide(sp->normVbox);
                     }
                 }
                 sp->handleCountDown = 10;
@@ -194,9 +194,9 @@
 void SecretPhrase::lowerLetterPressed(GtkWidget *widget, GdkEventKey *event, gpointer ptr) {
     SecretPhrase *sp(reinterpret_cast<SecretPhrase *>(ptr));
     if (sp->gameState != HANDLING_KEY && sp->gameState != SPINNING) {
-        int x, y, key;
+        long x, y, key;
         std::stringstream sstr;
-        sp->currentKey = (int)g_object_get_data((GObject *)widget, KEY_STR);
+        sp->currentKey = (long)g_object_get_data((GObject *)widget, KEY_STR);
         key = sp->currentKey;
         if (sp->used[key - 'a']) {
             return;
@@ -218,7 +218,7 @@
         
         x = (sp->currentKey - 'a') % 13;
         y = (sp->currentKey - 'a') / 13;
-//         gtk_image_set_from_file((GtkImage *)sp->lowerLetters[y][x], "/usr/local/share/touchmegames/secretphrase/images/back.gif");
+//         gtk_image_set_from_file((GtkImage *)sp->lowerLetters[y][x], "/usr/share/touchmegames/secretphrase/images/back.gif");
         sp->reloadImage(sp->lowerLetters[y][x], "back.gif");
         sstr << sp->getNumberOfOccurences(sp->currentKey) << ' ' << (char)(key - 0x20) << "'s found.";
         gtk_label_set_text((GtkLabel *)sp->infoLabel, sstr.str().c_str());
@@ -231,7 +231,7 @@
             }
             else {
                 sstr.str("");
-//                 sstr << "/usr/local/share/touchmegames/secretphrase/images/" << sp->guessesLeft << ".gif";
+//                 sstr << "/usr/share/touchmegames/secretphrase/images/" << sp->guessesLeft << ".gif";
 //                 gtk_image_set_from_file((GtkImage *)sp->guessesLeftImg, sstr.str().c_str());
                 
                 sstr << sp->guessesLeft << ".gif";
@@ -249,7 +249,7 @@
     // don't let the user do both keydown and mouse clicked
     // and also don't worry about the key repeat
     if (sp->gameState != HANDLING_KEY && sp->gameState != SPINNING) {
-        int key, x, y;
+        long key, x, y;
         std::stringstream sstr;
         if (event->keyval >= GDK_A && event->keyval <= GDK_Z) {
             key = event->keyval + 0x20;
@@ -280,7 +280,7 @@
         
         x = (sp->currentKey - 'a') % 13;
         y = (sp->currentKey - 'a') / 13;
-//         gtk_image_set_from_file((GtkImage *)sp->lowerLetters[y][x], "/usr/local/share/touchmegames/secretphrase/images/back.gif");
+//         gtk_image_set_from_file((GtkImage *)sp->lowerLetters[y][x], "/usr/share/touchmegames/secretphrase/images/back.gif");
         sp->reloadImage(sp->lowerLetters[y][x], "back.gif");
         sstr << sp->getNumberOfOccurences(sp->currentKey) << ' ' << (char)(key - 0x20) << "'s found.";
         gtk_label_set_text((GtkLabel *)sp->infoLabel, sstr.str().c_str());
@@ -293,7 +293,7 @@
             }
             else {
                 sstr.str("");
-//                 sstr << "/usr/local/share/touchmegames/secretphrase/images/" << sp->guessesLeft << ".gif";
+//                 sstr << "/usr/share/touchmegames/secretphrase/images/" << sp->guessesLeft << ".gif";
 //                 gtk_image_set_from_file((GtkImage *)sp->guessesLeftImg, sstr.str().c_str());
                 sstr << sp->guessesLeft << ".gif";
                 sp->reloadImage(sp->guessesLeftImg, sstr.str().c_str());
@@ -329,7 +329,7 @@
 
 void SecretPhrase::categorySelected(GtkWidget *widget, GdkEventKey *event, gpointer ptr) {
     SecretPhrase *sp(reinterpret_cast<SecretPhrase *>(ptr));
-    int cat((int)g_object_get_data((GObject *)widget, KEY_STR));
+    long cat((long)g_object_get_data((GObject *)widget, KEY_STR));
     
     switch (cat) {
         case CatMisc:
